// Copyright (C) 2009 Fred Allen.
// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

#import <Cocoa/Cocoa.h>

UINT32 OSXToEditorModifiers(NSEventModifierFlags modifiers);
INT32 FindOSXVirtualKey(INT32 theKey);

void ResetCursorBlinkTime(EDITOR_VIEW* theView);
bool EditorKeyNameToKeyCode(const char* name, UINT32* code);
char* EditorKeyCodeToKeyName(UINT32 code);
INT32 EditorKeyCodeToVirtKeyCode(UINT32 theCode);
bool EditorGetKeyPress(UINT32* keyCode, UINT32* editorModifiers, bool wait, bool clearBuffered);
void EditorQuit();
bool EditorEventLoop(int argc, const char* argv[]);
void ClearAbort();
bool CheckAbort();
void UnInitEvents();
bool InitEvents();
