// Copyright (C) 2009 Fred Allen.
// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


// GUI includes

// standard C stuff

#include	<stdio.h>
#include	<stdarg.h>
#include	<stdlib.h>
#include	<errno.h>
#include	<signal.h>
#include	<unistd.h>
#include	<fcntl.h>
#include	<time.h>
#include	<ctype.h>
#include	<memory.h>
#include	<string.h>
#include	<limits.h>
#include	<sys/types.h>
#include	<sys/param.h>
#include	<sys/stat.h>
#include	<sys/time.h>
#include	<sys/wait.h>
#include	<dirent.h>
#include	<pthread.h>
#include	<sys/sysctl.h>
#include	<sys/semaphore.h>
#include	<sys/fcntl.h>
#include	<dirent.h>
#include	<pwd.h>
#include	<grp.h>
#include	<sys/mount.h>
#include	<poll.h>

// Tcl stuff

#include	<tcl.h>

// high level e93 stuff

#include	"../includes.h"

// prototypes, etc for our routines

#include	"gui.h"
#include	"fonts.h"
#include	"colors.h"
#include	"dialogs.h"
#include	"init.h"
#include	"events.h"
#include	"menus.h"
#include	"docwin.h"
#include	"views.h"
#include	"tasks.h"
#include	"statusbr.h"
#include	"toolbar.h"
#include	"misc.h"
#include	"memfuncs.h"
#include	"glob.h"
#include	"print.h"

#include	"shellcmd.h"

#include	"globals.h"
